version: 2

models:
  - name: clean_performance_report
    description: "Transformed performance report with extracted JSON data"
    columns:
      - name: raw_id
        tests:
          - not_null
          - unique
      - name: extracted_at
      - name: loaded_at
      - name: report_id
        tests:
          - not_null
      - name: campaign_id
        tests:
          - not_null
      - name: clicks
      - name: impressions
      - name: conversions
      - name: ctr
      - name: conversion_rate
